#pragma once
#include <Arduino.h>
#include "pitches.h"

class SmartSound
{
public:
    enum Sound {
        NeverGonna,
        Bing,
    };

public:
    SmartSound(int buzzerPin);
    void play(Sound sound, int tempo = 144);

    // interaction sounds
    void playSuccessSound();
    void playFailureSound();
    void playTeaReadySound();
    void playStartSteepingSound();
    void playTurnOnSound();
    void playSaveSound();
    void playPlusSound();
    void playMinusSound();


private:
    int m_buzzerPin;
    void playSound(int melody[], int notes, int tempo = 114);
};